For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETUser Accounting
      • GETGrowth Accounting
      • GETCohorts
      • GETCustomer Cohorts
      • GETConcentration
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataProduct

Cohorts

GET
/api/v1/group/:group_id/deal/:deal_id/data/cohorts
GET
/api/v1/group/:group_id/deal/:deal_id/data/cohorts
$curl -G https://app.termina.ai/api/v1/group/1/deal/1/data/cohorts \
> -H "Authorization: Bearer <token>" \
> -d user_type=business \
> -d metric=metric
1[
2 {
3 "cohort": "2026-01",
4 "period": 1,
5 "cohort_size": 1000,
6 "cohort_size_amount": 250000,
7 "active_users": 800,
8 "logo_retention": 0.8,
9 "amount": 200000,
10 "amount_retention": 0.8,
11 "ltv": 500
12 }
13]
Get the product cohorts for the company associated with the deal.
Was this page helpful?
Previous

Customer Cohorts

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired

Query parameters

user_typeenumRequired
metricstringRequired
freqenumOptional
Allowed values:

Response

Successful Response
cohortstring
The date of the cohort.
periodinteger
The period of the cohort. 0 is the first period.
cohort_sizeinteger
The number of users in the cohort.
cohort_size_amountdouble
The size denominated in the metric amount of the cohort.
active_usersinteger
The number of active users in the period.
logo_retentiondouble

The logo retention rate, defined as active / cohort size.

amountdouble
The active amount, such as revenue or gtv, in the period for the cohort.
amount_retentiondouble

The amount retention rate, defined as amount / cohort size amount.

ltvdouble
The cumulative lifetime value in terms of the metric amount up until the period, on average per user in the cohort.

Errors

422
Unprocessable Entity Error